package com.yx.face.controller.api;

import com.yx.face.boot.core.BaseController;
import com.yx.face.boot.restful.RestResponse;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.UavEcnDTO;
import com.yx.face.service.UavService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @description: 无人机数据接收控制层 <br>
 * @author: lsh <br>
 * @since: 1.0 <br>
 * @date: 2025-03-05 14:25:45 <br>
 */

@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@Api(tags = "无人机数据接收接口")
@RestController
@RequestMapping("api/uav")
@Slf4j
public class UavController extends BaseController {

    private final UavService uavService;

    /**
     * 推送无人机数据
     * @param dto
     * @return
     */
    @ApiOperation(value = "推送无人机数据")
    @PostMapping("push")
    public RestResult<Boolean> push(@RequestBody UavEcnDTO dto) {
        return RestResponse.ok(uavService.add(dto));
    }

}

