package com.yx.face.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @description: 无人机信息表(uav)DTO <br>
 * @author: lsh <br>
 * @since: 1.0 <br>
 * @date: 2025-03-05 14:25:45 <br>
 */

@ApiModel("无人机信息表DTO model")
@Data
public class UavDTO {


    @ApiModelProperty(value = "目标唯一编号")
    private String objectId;
    @ApiModelProperty(value = "目标经度(使用WGS84坐标系)")
    private double longitude;

    @ApiModelProperty(value = "目标纬度(使用WGS84坐标系)")
    private double latitude;

    @ApiModelProperty(value = "目标海拔高度(海拔高度（GPS/北斗），单位：米)")
    private float altitude;

    @ApiModelProperty(value = "距地高度(距地高度（相对基站安装的地面高度），单位：米)")
    private float height;

    @ApiModelProperty(value = "目标速度(单位（m/s）)")
    private float speed;

    @ApiModelProperty(value = "探测时间戳(UTC)(单位：毫秒)")
    private Date time;

    @ApiModelProperty(value = "发现地点")
    private String location;

    @ApiModelProperty(value = "无人机型号")
    private String uavModel;

    @ApiModelProperty(value = "无人机飞控序列号")
    private String uavSN;

    @ApiModelProperty(value = "频点")
    private String channel;

    @ApiModelProperty(value = "侦测设备类型")
    private Integer deviceType;

}

