package com.yx.face.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description: 无人机信息表(uav)DTO <br>
 * @author: lsh <br>
 * @since: 1.0 <br>
 * @date: 2025-03-05 14:25:45 <br>
 */

@ApiModel("无人机信息解密后数据DTO model")
@Data
public class UavDecDTO {

    @ApiModelProperty(value = "上报时间戳(UTC) 单位：毫秒")
    private Long ptTime;
    @ApiModelProperty(value = "消息编号 对上报的数据进行连续的编号，来校验数据是否有丢失。0-2147483647 循环编码。")
    private Long msgCnt;

    @ApiModelProperty(value = "探测目标列表")
    private List<UavDTO> objects;

}

