package com.yx.face.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import javax.persistence.*;
import java.util.Date;

/**
 * @description: 无人机信息表(uav)实体类 <br>
 * @author: lsh <br>
 * @since: 1.0 <br>
 * @date: 2025-03-05 14:25:45 <br>
 */
@Data
@Table(name = "uav")
public class Uav {

    /**
     * 主键id
     */

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 目标唯一编号
     */
    private String objectId;

    /**
     * 目标经度(使用WGS84坐标系)
     */
    private double longitude;

    /**
     * 目标纬度(使用WGS84坐标系)
     */
    private double latitude;

    /**
     * 目标海拔高度(海拔高度（GPS/北斗），单位：米)
     */
    private float altitude;

    /**
     * 距地高度(距地高度（相对基站安装的地面高度），单位：米)
     */
    private float height;

    /**
     * 目标速度(单位（m/s）)
     */
    private float speed;

    /**
     * 探测时间戳(UTC)(单位：毫秒)
     */
    private Date time;

    /**
     * 发现地点
     */
    private String location;

    /**
     * 无人机型号
     */
    private String uavModel;


    /**
     * 无人机飞控序列号
     */


    @TableField("uavSN")
    private String uavSN;

    /**
     * 频点
     */
    private String channel;
    /*
     * 侦测设备类型
     * */
    private Integer deviceType;
    /*
     * 创建时间
     * */
    private String createTime;
    /*
     * 更新时间
     * */
    private Integer updateTime;

}

