package com.yx.face.utils;

import cn.hutool.core.util.CharsetUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.crypto.asymmetric.KeyType;
import cn.hutool.crypto.asymmetric.RSA;

/**
 * RSA加密解密工具类
 */
public class RsaUtil {


    /**
     * 公钥加密(用于数据加密)
     *
     * @param data         加密前的字符串
     * @param publicKey base64编码后的公钥
     * @return base64编码后的字符串
     */
    public static String encryptByPublicKey(String data, String publicKey) {
        RSA rsa = new RSA(null, publicKey);
        byte[] encrypt = rsa.encrypt(StrUtil.bytes(data, CharsetUtil.CHARSET_UTF_8), KeyType.PublicKey);
        return Base64Utils.encode(encrypt);
    }

    /**
     * 私钥加密(用于数据解密)
     *
     * @param data         加密前的字符串
     * @param privateKey base64编码后的公钥
     * @return base64编码后的字符串
     */
    public static String decryptByPrivateKey(String data, String privateKey) {
        RSA rsa = new RSA(privateKey,null);
        byte[] decryptBytes = rsa.decrypt(Base64Utils.decode(data), KeyType.PrivateKey);
        return StrUtil.str(decryptBytes, CharsetUtil.CHARSET_UTF_8);
    }

}
